oCoreoCore Docs
API Reference

Internal

Refresh pre-signed URL

Internal endpoint for the ocore-transfer binary to refresh expired pre-signed URLs during long-running transfers.

POST
/internal/presign

Authorization

Authorization<token>

Scoped callback token sent as Authorization: Bearer {token} by the ocore-transfer binary

In: header

Request Body

application/jsonRequired

Presign request

destination_idRequiredstring
operationRequiredstring
Value in: "put" | "get" | "head"
pathRequiredstring
curl -X POST "//api.ocore.dev/api/internal/presign" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "destination_id": "550e8400-e29b-41d4-a716-446655440000",
    "operation": "get",
    "path": "backups/production/database.dump"
  }'

OK

{
  "auth_header": "Bearer provider-access-token",
  "url": "https://storage.example.com/object?signature=..."
}

Was this page helpful?